// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package review

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/review/api/internal/logic/review"
	"juwan-backend/app/review/api/internal/svc"
	"juwan-backend/app/review/api/internal/types"
)

// 获取公开评价列表
func ListReviewsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PageReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := review.NewListReviewsLogic(r.Context(), svcCtx)
		resp, err := l.ListReviews(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
